Subject: Re: [AVT] Another review of enhanced CRTP

From: Tmima Koren <[email-masked]>
Date: Wed, 06 Feb 2002 23:39:39 +0200

Hi Lars-Erik
Thank you very much for reviewing the draft

At 08:22 PM 1/30/2002 +0100, Lars-Erik Jonsson (EPL) wrote:
>Hi all,
>
>I was asked to review the ECRTP draft, and have some minor inputs
>that might be useful to take into account. Overall, I think the
>document is fine, and with one exception, all my comments are of
>a pure editorial nature. I am especially satisfied with the way
>the "IP-ID versus Twice" issue was resolved.
>
>1) Let's start with the only technical comment, which is just a
>    suggestion. Why not let the HDRCKSUM (section 2.2) cover also
>    the IP ID for IPv4, in addition to the IP-pseudo header, the
>    UDP header, and the first 12 octets of UDP data (e.g. RTP). By
>    including the IP ID, the concerns about using Twice (section
>    2.3, 5th paragraph) would only apply to IPv4 with enabled
>    UDP checksum (if the HDRCKSUM is enabled).
>
>    This is just a suggestion, and a question whether you have
>    considered that option. Let us know your opinions.

I prefer to have the same 'twice' scheme for UDP checksum and HDRCKSUM

>2) In section 2, first bullet, I think it would be good to
>    clarify "RTP values". Are you addressing all RTP fields, or
>    just a subset, and in that case, which fields are addressed.
>    Please clarify that.

I'll specify the RTP fields

>3) In section 2.2, second paragraph, it could be useful to
>    indicate that a disabled (set to zero) UDP checksum is a case
>    only possible for IPv4.

Yes, I'll add that

>4) In section 3, should there be a reference to the updated
>    RFC2509? What is the status of that document anyway?

I'll add the reference. rfc2509bis is on its way to PS

>5) Finally some formatting comments:
>5a) There are no page beaks (form feed) in the document
>5b) I am missing headers, footers, and especially page numbers
>5c) The expiration date is missing at the last page
>5d) The indentation is only "correct" in sections 3, 6, and 7

I'll fix the formatting
Thanks again for your thorough review
Tmima

>Otherwise I think the document is fine and fully support the idea
>of submitting it (with correction) for PS.
>
>Cheers,
>/Lars-Erik
>
>_______________________________________________
>Audio/Video Transport Working Group
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt